<?php
/*---------------------------------------------------------------*/
/*
    Titre : Comment limiter la vitesse de download                                                                        
                                                                                                                          
    URL   : https://phpsources.net/code_s.php?id=377
    Auteur           : Matt                                                                                               
    Date dition     : 27 Avril 2008                                                                                      
    Date mise  jour : 22 Aout 2019
                                                                                      
    Rapport de la maj:                                                                                                    
    - fonctionnement du code vérifié                                                                                    
*/
/*---------------------------------------------------------------*/

    $file = "somefile.zip"; // Nom du fichier
    $speed = 50; // i.e. 50 kb/s temps de telechargement
    if(file_exists($file) && is_file($file)) {
       header("Cache-control: private");
       header("Content-Type: application/octet-stream");
       header("Content-Length: ".filesize($file));
       header("Content-Disposition: filename=$file" . "%20");
       flush();
       $fd = fopen($file, "r");
       while(!feof($fd)) {
          echo fread($fd, round($speed*1024)); // $speed kilobytes (Kb)
          flush();
          sleep(1);
       }
       fclose ($fd);
    }
?>